package com.hz.pm.api.external.controller;

import com.hz.pm.api.external.MhApiClient;
import com.hz.pm.api.external.model.dto.MhDictDTO;
import com.hz.pm.api.external.model.enumeration.MhDictType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * MhDictController
 * </p>
 *
 * @author WendyYang
 * @since 10:28 2024/3/26
 */
@RestController
@Api(tags = "信产字典对接接口")
@RequiredArgsConstructor
@RequestMapping("/api/v1/mh/dict")
public class MhDictController {

    private final MhApiClient mhApiClient;

    @GetMapping("/listByType/{dictType}")
    @ApiOperation("根据字典类型获取字典信息")
    public List<MhDictDTO> dictListByType(@PathVariable MhDictType dictType) {
        return mhApiClient.dictListByType(dictType);
    }

}


