package com.hz.pm.api.projectlib.model.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * SelfTestStatusEnum
 * </p>
 *
 * @author WendyYang
 * @since 10:16 2024/3/27
 */
@Getter
@AllArgsConstructor
public enum TenderAdaptStatusEnum {

    WITHOUT_ADAPT_INFO(2100, "待填写适配改造信息"),
    ADAPT_INFO_AUDIT(2101, "适配改造信息审核中"),
    ADAPT_INFO_FAILED(2102, "适配改造信息审核失败"),
    ADAPT_INFO_PASSED(2103, "适配改造信息审核通过");

    private final Integer code;
    private final String val;

    public boolean eq(Integer code) {
        return this.code.equals(code);
    }

    public static Optional<TenderAdaptStatusEnum> get(Integer code) {
        return Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst();
    }

    public static String getVal(Integer code) {
        return get(code).flatMap(w -> Optional.of(w.getVal())).orElse("");
    }

}
