package com.hz.pm.api.projectlib.model.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * SelfTestStatusEnum
 * </p>
 *
 * @author WendyYang
 * @since 10:16 2024/3/27
 */
@Getter
@AllArgsConstructor
public enum TenderTestValidStatusEnum {

    WITHOUT_TEST_VALID_INFO(3100, "待填写测试验证信息"),
    TEST_VALID_INFO_AUDIT(3101, "测试验证信息审核中"),
    TEST_VALID_INFO_FAILED(3102, "测试验证信息审核失败"),
    TEST_VALID_INFO_PASSED(3103, "测试验证信息审核通过");

    private final Integer code;
    private final String val;

    public boolean eq(Integer code) {
        return this.code.equals(code);
    }

    public static Optional<TenderTestValidStatusEnum> get(Integer code) {
        return Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst();
    }

    public static String getVal(Integer code) {
        return get(code).flatMap(w -> Optional.of(w.getVal())).orElse("");
    }

}
