package com.hz.pm.api.projectlib.model.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * 信创符合性申请状态
 * </p>
 *
 * @author WendyYang
 * @since 10:59 2024/4/8
 */
@Getter
@AllArgsConstructor
public enum TenderXcfhxApplyStatusEnum {

    TO_BE_SUBMIT_XCFHX_APPLY(301, "待信创符合性申请"),
    ON_XCFHX_APPLY(302, "信创符合性申请中"),
    XCFHX_APPLY_FAILED(303, "信创符合性申请不通过"),
    XCFHX_APPLY_PASSED(304, "信创符合性申请不通过");

    private final Integer code;
    private final String val;

    public boolean eq(Integer code) {
        return this.code.equals(code);
    }

    public static Optional<TenderXcfhxApplyStatusEnum> get(Integer code) {
        return Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst();
    }

    public static String getVal(Integer code) {
        return get(code).flatMap(w -> Optional.of(w.getVal())).orElse("");
    }


}
