package com.hz.pm.api.todocenter;

import cn.hutool.core.io.FileUtil;
import cn.hutool.http.HttpUtil;
import com.hz.pm.api.AppTests;
import com.hz.pm.api.external.MhApiClient;
import com.hz.pm.api.external.MhFileClient;
import com.hz.pm.api.external.model.dto.MhZwddWorkNoticeDTO;
import com.hz.pm.api.external.todo.MHTodoClient;
import com.hz.pm.api.external.todo.dto.MhTodoExtraParamDTO;
import com.hz.pm.api.external.todo.enumerization.MHTodoTypeEnum;
import com.hz.pm.api.user.security.model.UserFullInfoDTO;
import com.ningdatech.basic.util.CollUtils;
import com.ningdatech.file.entity.File;
import com.ningdatech.file.entity.vo.result.FileResultVO;
import com.ningdatech.file.service.FileService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * MhApiClientTest
 * </p>
 *
 * @author WendyYang
 * @since 10:06 2024/3/13
 */
public class MhApiClientTest extends AppTests {

    @Autowired
    private MHTodoClient mhTodoClient;
    @Autowired
    private MhApiClient mhApiClient;
    @Autowired
    private MhFileClient mhFileClient;
    @Autowired
    private FileService fileService;

    @Test
    public void sendTodo() {
        UserFullInfoDTO assignee = new UserFullInfoDTO();
        assignee.setUserId(150L);
        assignee.setMhUserId("62697f4ed80d823fa1f26c5a082d989e");
        MhTodoExtraParamDTO paramObj = MhTodoExtraParamDTO.builder()
                .bidId(117L)
                .path("/toDoCenter/handleDuringExamine")
                .projectId(2333L)
                .userName("杨云迪")
                .nodeId("node_65f010952418b30a56467594")
                .taskId("a733d3fb-e049-11ee-aa3b-024410885fae")
                .instanceId("8edc9888-e049-11ee-aa3b-024410885fae")
                .build();
        mhTodoClient.addTodo(paramObj, assignee, MHTodoTypeEnum.XCFHX_INSPECT_AUDIT, "1212121", null);
    }

    @Test
    public void test() {
        MhZwddWorkNoticeDTO notice = MhZwddWorkNoticeDTO.builder()
                .title(MHTodoTypeEnum.DECLARED_RECORD_AUDIT.getVal())
                .targetUser("ce44b47503147319fc3b5c826cb51fd2")
                .content(String.format("【%s】的【%s】需要您审核，请及时处理。",
                        "市住保房管局深化信创项目", "立项备案审批"))
                .build();
        mhApiClient.sendZwddWorkNotice(notice);
    }

}
